[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'ComCtrls' (#lcl)

# TStatusPanelStyle

Represents the style used for a panel on a status bar.

## Declaration

Source position: comctrls.pp line 45

`type TStatusPanelStyle = (`
`psText,` |  | The panel contains Text.
`psOwnerDraw` |  | The panel uses an owner-drawn style (generally implemented in an event handler).
`);`

## Description

TStatusPanelStyle is an enumerated type representing the style used for a panel on a status bar. TStatusPanelStyle is the type used to implement the Style property in TStatusPanel, and used in widgetset classes which initialize or update a status bar panel.

## See also

TStatusPanel.Style |  | Indicates whether the panel contains text or is owner-drawn.